# Find Transition ID

## **ENDPOINT**

```
GET https://api.data123.io/aleo/<API KEY>/v1/testnet3/find/transitionID/{inputOrOutputID}
```

### **Arguments**

<table><thead><tr><th width="198">Parameter</th><th width="113">Type</th><th width="119">Request</th><th>Description</th></tr></thead><tbody><tr><td>inputOrOutputID</td><td>string</td><td>Yes</td><td>The input or output ID</td></tr></tbody></table>

### **Response**

<table><thead><tr><th width="195">Parameter</th><th width="122">type</th><th>Description</th></tr></thead><tbody><tr><td>result</td><td>string</td><td>The transition ID</td></tr></tbody></table>

### Request

{% tabs %}
{% tab title="REST" %}

```bash
curl https://api.data123.io/aleo/<API KEY>/v1/testnet3/find/transitionID/{inputOrOutputID}
```

{% endtab %}

{% tab title="JSON-RPC" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://api.data123.io/aleo/&#x3C;API KEY>/rpc/v1/testnet3 \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc":"2.0","method":"findTransitionId","params":['{inputOrOutputID}'],"id":1}'
</code></pre>

{% endtab %}
{% endtabs %}
